Vue Component & Quasar App Extension ZHWebComponents
===

Vue Component Library in ZH Web design

Wünsche an: michel.binder@statistik.ji.zh.ch

Demo: [DemoPage](https://dev.statistik.zh.ch/zhwebcomponent/)

# Install
```bash
npm add git+https://bitbucket.statistik.zh.ch/scm/zw/zhwebcomponents.git
```
Add it with npm from gitea repository

```bash
quasar ext invoke zhwebcomponents
```
Quasar CLI will retrieve it from NPM and install the extension.

# Install dependency
```bash
npm install --save html-to-image
```

# Develop
```bash
npm add file://../zhwebcomponents
```
Add it with npm from local copy

```bash
quasar ext invoke zhwebcomponents
```
Quasar CLI will retrieve it from NPM and install the extension.

## Standard Version to CHANGELOG.md
```bash
npm run release
```

```bash
git push --follow-tags origin master
```

## To add Documentation
In: YourPage.vue
```bash
<template>
  <div>
    <zh-docs />
  </div>
</template>
```

In: src/router/index.js
```bash
import zhdocs from 'quasar-app-extension-zhwebcomponents/src/component/dev/Docs.vue'
Vue.component('zh-docs', zhdocs)
```

for page routes (in your routes.js)
```bash
{ path: ':tab?', component: () => import('pages/YourPage.vue') }
```

# Update
```bash
npm add git+https://bitbucket.statistik.zh.ch/scm/zw/zhwebcomponents.git
```
or
```bash
npm add file://../zhwebcomponents
```

# Uninstall
```bash
quasar ext remove zhwebcomponents
```
Quasar CLI will uninstall the extension.

