/**
 * Quasar App Extension index/runner script
 * (runs on each dev/build)
 *
 * Docs: https://quasar.dev/app-extensions/development-guide/index-api
 * API: https://github.com/quasarframework/quasar/blob/master/app/lib/app-extension/IndexAPI.js
 */

module.exports = function (api) {
  // (Optional!)
  // Quasar compatibility check; you may need
  // hard dependencies, as in a minimum version of the "quasar"
  // package or a minimum version of "@quasar/app" CLI
  // api.compatibleWith('quasar', '^2.0.0')
  // api.compatibleWith('@quasar/app', '^1.9.6')

  // Here we extend /quasar.conf.js, so we can add
  // a boot file which registers our new UI component;
  // "extendConf" will be defined below (keep reading the tutorial)
  api.extendQuasarConf(extendConf)
}

function extendConf (conf) {
  // make sure my-component boot file is registered
  conf.boot.push('~quasar-app-extension-zhwebcomponents/src/boot/register.js')

  // make sure boot & component files get transpiled
  conf.build.transpileDependencies.push(/quasar-app-extension[\\/]src/)

  // make sure my-component css goes through webpack to avoid ssr issues
  conf.css.push('~quasar-app-extension-zhwebcomponents/src/css/zhweb-fonts.min.css')
  conf.css.push('~quasar-app-extension-zhwebcomponents/src/css/zhweb-flex.css')
  conf.css.push('~quasar-app-extension-zhwebcomponents/src/css/zhweb-text.css')
  conf.css.push('~quasar-app-extension-zhwebcomponents/src/css/zhweb-special.css')
  conf.css.push('~quasar-app-extension-zhwebcomponents/src/css/zhweb-color.css')
  conf.css.push('~quasar-app-extension-zhwebcomponents/src/css/zhweb-color.css')
  // conf.css.push('~quasar-app-extension-zhwebcomponents/src/css/quasar.variables.styl')
  // conf.css.push('~quasar-app-extension-zhwebcomponents/src/css/quasar.variables.sass')
}
